> For the complete documentation index, see [llms.txt](https://docs.chamilo.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chamilo.org/2.x-fr/guide-du-developpeur/developer-guide/api/authentication.md).

# Authentification

L'API de Chamilo utilise **JWT (JSON Web Tokens)** pour l'authentification, implémenté via `lexik/jwt-authentication-bundle`.

## Obtenir un jeton

Envoyez une requête POST au point de terminaison d'authentification :

```
POST /api/authentication_token
Content-Type: application/json

{
  "username": "admin",
  "password": "your-password"
}
```

Réponse :

```json
{
  "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9..."
}
```

## Utiliser le jeton

Incluez le jeton dans l'en-tête `Authorization` des requêtes suivantes :

```
GET /api/users
Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9...
```

## Cycle de vie du jeton

* Les jetons ont un temps d'expiration configurable
* Lorsqu'un jeton expire, le client doit en demander un nouveau
* Les clés JWT sont stockées dans `config/jwt/` (clés privée et publique)

## Générer des clés JWT

```bash
php bin/console lexik:jwt:generate-keypair
```

Cela crée :

* `config/jwt/private.pem` — Clé privée pour signer les jetons
* `config/jwt/public.pem` — Clé publique pour vérifier les jetons

Configurez la phrase de passe dans `.env` :

```env
JWT_PASSPHRASE=your-passphrase
```

## Documentation de l'API

Lorsque `APP_ENABLE_API_ENTRYPOINT=1` est défini dans l'environnement, la documentation de l'API est disponible à l'adresse `/api`. Cela fournit une interface interactive Swagger/OpenAPI pour explorer et tester les points de terminaison.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chamilo.org/2.x-fr/guide-du-developpeur/developer-guide/api/authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
